Warning: preg_replace_callback(): Requires argument 2, '$func['entity_fix']('\2')', to be a valid callback in /nfs/c01/h06/mnt/10927/domains/dragonprime.net/html/Sources/Load.php(225) : runtime-created function on line 3
AJAX based chat
DragonPrime - LoGD Resource Community
Welcome Guest
  • Good afternoon, Guest.
    Please log in, or register.
  • September 20, 2019, 01:21:25 PM
Home Forums News Downloads Login Register Advanced Search
* * *
DragonPrime Menu
Login
 
 
Resource Pages
Search

Pages: 1 ... 6 7 [8] 9 10 11   Go Down
  Print  
Author Topic: AJAX based chat  (Read 69289 times)
0 Members and 1 Guest are viewing this topic.
Brendan
I am Brendan.
Mod God
*****
Offline Offline

Posts: 873


View Profile
« Reply #105 on: February 17, 2010, 03:29:30 PM »

Can someone tell me what version Ajax chat is for? people say 1.1.1, then i read a topic saying it isnt compatible with it..

I have it on my 1.1.1 but it doesnt work, i dont get any errors, but i have it turned on and i still have to refresh to see new posts or when i post it refreshes.
Logged
JollyGG
Mod God
*****
Offline Offline

Posts: 607


Jolly Good!


View Profile WWW
« Reply #106 on: February 17, 2010, 04:08:41 PM »

My copy of Ajax chat works with 1.1.1
Logged

Senior Staff Coder to: RPGLink
Supporter of: Forbidden Realm and LotGD4Adults2.
Released Modules: Here
Brendan
I am Brendan.
Mod God
*****
Offline Offline

Posts: 873


View Profile
« Reply #107 on: February 17, 2010, 04:15:59 PM »

Could you tell me how to install it properly please, i have tried placing the folders everywhere.

I have.

Code:
maindir/modules/ajaxcommentary.php
maindir/modules/modules/lib/json.php
maindir/modules/modules/moderate.php
maindir/modules/modules/ajaxcommentary.php
maindir/modules/js/json
maindir/module/js/prototype
and i have overritten the commentary with the /lib/commentary.php
« Last Edit: February 17, 2010, 04:17:33 PM by Oak » Logged
Brendan
I am Brendan.
Mod God
*****
Offline Offline

Posts: 873


View Profile
« Reply #108 on: February 17, 2010, 05:39:07 PM »

This thread does not tell you how to install it, and where all the mods go.

Or if your bumping it to tell me it isnt compatible with 1.1.1 it is.

I have seen it on 1.1.1 sites, without and changes done to it.

Im sure Jolly hasnt changed anything in it either, or he would of said.
Logged
Elessa
Faerie
Mod God
*****
Offline Offline

Posts: 3598


short, sweet and to the point


View Profile
« Reply #109 on: February 17, 2010, 05:44:55 PM »

this is the discussion thread for the module, which has been and is buggy.     this is a module that hasn't been publicly released as a functioning module.

someone has an attachment in here that supposedly works with 1.1.1.

there are people who say it doesn't and never has. it would be nice if someone could figure out how. 

if you have seen it working on a site, ask that admin for a copy of their module.
Logged

Uuma ma ten rashwe, ta tuluva a lle

Play the latest beta version here on LoGD DragonPrime - Axebridge
Brendan
I am Brendan.
Mod God
*****
Offline Offline

Posts: 873


View Profile
« Reply #110 on: February 17, 2010, 05:55:30 PM »

I have a copy of it, i have it installed i just dont know where the files go in the directory for it to work.
Logged
Elessa
Faerie
Mod God
*****
Offline Offline

Posts: 3598


short, sweet and to the point


View Profile
« Reply #111 on: February 17, 2010, 06:20:17 PM »

I have a copy of it, i have it installed i just dont know where the files go in the directory for it to work.

have you replaced the commentary.php version with 1.0.6? that is the only "fix" i have seen, that kind of allows the module to work. 

also, i have just spent close to an hour combing all threads where the topic for the module is discussed. interestingly not a single one provides any information on actual installation.  was there anything special with this or does it follow the standard module installation guidelines?  has anyone created a readme.txt for this module that will share?
Logged

Uuma ma ten rashwe, ta tuluva a lle

Play the latest beta version here on LoGD DragonPrime - Axebridge
Brendan
I am Brendan.
Mod God
*****
Offline Offline

Posts: 873


View Profile
« Reply #112 on: February 17, 2010, 07:07:44 PM »

I replaced my commentary.php with the commentary.php that comes with the ajax module, if that is the 1.0.6 one.
Logged
CavemanJoe
Mod God
*****
Offline Offline

Posts: 556


Opener of WormCans


View Profile WWW
« Reply #113 on: February 18, 2010, 08:15:21 AM »

I had this working on the Island briefly.

In its present form this module is half module, half core edits - and whenever you try to do something new with commentary (like my commentary icons, /special comments etc), it'll bork real nice and you'll spend ages trying to get it working with your new commentary goodness.

Also the extra server load this tends to generate is significant.  If you're running a popular game, you'll be scrabbling to reduce resource consumption.

My advice right now is not to try installing this module as it is - it needs either turning into a self-contained module or baking into the core.  I may take this up at a later date.
Logged

Silient
Militia
**
Offline Offline

Posts: 71


View Profile
« Reply #114 on: October 13, 2010, 11:20:20 AM »




Hello everyone,

I'm bringing up this old thread to let you know that I have patched edmund's AJAX-based commentary to make it compatible with version 1.1.1 of the game. The patched core files are based on 1.1.1, so you can safely replace the original files with them.

Other fixes and updates:
- the Bio links now work with the game's forced navigation system (no need for the "evil" patch in bio.php)
- Unicode support (hopefully)
- the refresh interval can be configured in the module settings

It hasn't been tested thoroughly, so use at your own risk; let me know if you find any bugs.
I hope this will help and encourage the development team to add support for such a feature in the LOGD 1.2.0 core Smiley

Download link: http://bossakov.eu/uploads/logd/ajaxcommentary.zip


So...Yes. It works with 1.1.1 the question a lot of people have is, after we download, where do the files go?
I have a theory that I will test after I post this, i'll let you know how it works.

edit: I managed to ind where everything goes, Lib in libs, modules in modules, libs (inside modules in the file) in the modules lib. etc etc. I couldn't find where the .JS files wen though...But I didn't break anything and the module installed so...yeah. I'm 99.9% percent sure if I place those where they go it will start working.
« Last Edit: October 13, 2010, 01:01:21 PM by Silient » Logged

robbace
Militia
**
Offline Offline

Posts: 31


View Profile
« Reply #115 on: October 13, 2010, 12:56:28 PM »

WOW I was just thinking last night if we could use ajax for this very thing! You guys are amazing. I'm running 1.1.2 and it works good thus far. Color too.

As far as where the files go it was pretty self explanatory.  The files in the zip are laid out like the root folder in the game.  Be sure to rename the old files that it will overwrite encase you don't dig it.

Robbace
Logged
Silient
Militia
**
Offline Offline

Posts: 71


View Profile
« Reply #116 on: October 13, 2010, 01:13:59 PM »

WOW I was just thinking last night if we could use ajax for this very thing! You guys are amazing. I'm running 1.1.2 and it works good thus far. Color too.

As far as where the files go it was pretty self explanatory.  The files in the zip are laid out like the root folder in the game.  Be sure to rename the old files that it will overwrite encase you don't dig it.

Robbace

Mind telling us exactly where the Javescript (.JS) files go? I haven't been able to find them?
Logged

Stephen Kise
Codemeister
****
Offline Offline

Posts: 372



View Profile WWW
« Reply #117 on: October 13, 2010, 01:20:40 PM »

For those who are running on a localized, port forwarded system for Ubuntu 10.04 Lucid Linux.. (Lampp).. You will need some more stuff to modify.. Each file that you put in the htdocs will need to be given the permissions correctly..

Right click and go to 'Properties'..
Go to the 'Permissions' tab..
Make the owner as your user name.. Not root.. Then Read and Write..
Make the group and others with your username, not the root, and give the access 'Read Only'

Hope that helps anyone who has the same config as me.
Logged
Stephen Kise
Codemeister
****
Offline Offline

Posts: 372



View Profile WWW
« Reply #118 on: October 13, 2010, 01:21:59 PM »

WOW I was just thinking last night if we could use ajax for this very thing! You guys are amazing. I'm running 1.1.2 and it works good thus far. Color too.

As far as where the files go it was pretty self explanatory.  The files in the zip are laid out like the root folder in the game.  Be sure to rename the old files that it will overwrite encase you don't dig it.

Robbace

Mind telling us exactly where the Javescript (.JS) files go? I haven't been able to find them?
Drop everything in the root.... .js files will go in the newly made js folder in the root.. EXCEPT for the JSON.js in the modules/lib folder
Logged
robbace
Militia
**
Offline Offline

Posts: 31


View Profile
« Reply #119 on: October 13, 2010, 01:34:32 PM »

For those who are running on a localized, port forwarded system for Ubuntu 10.04 Lucid Linux.. (Lampp).. You will need some more stuff to modify.. Each file that you put in the htdocs will need to be given the permissions correctly..

Right click and go to 'Properties'..
Go to the 'Permissions' tab..
Make the owner as your user name.. Not root.. Then Read and Write..
Make the group and others with your username, not the root, and give the access 'Read Only'

Hope that helps anyone who has the same config as me.


I'm running Debian 5 with LXDE  I notice when the commentary refreshes and with only myself online Apache puts a 6% load on my CPU. Granted its a weak CPU... it's a VIA C7-D 1.5ghz chip.  It was one of those Everex Green Linux PC's for $199.  

Something to consider once I get more players.  Maybe start a Core i7 server fund Smiley

Robbace
« Last Edit: October 13, 2010, 01:48:44 PM by robbace » Logged
Pages: 1 ... 6 7 [8] 9 10 11   Go Up
  Print  
 
Jump to:  


*
DragonPrime Notices
Version 1.1.2 is the current supported version and is available for download.

Support Us
No funds raised yet this year
Your help is greatly appreciated!
Recent Topics
DragonPrime LoGD
Who's Online
73 Guests, 0 Users
Home Forums News Downloads Login Register Advanced Search